YarnApplicationAttemptState (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: YarnApplicationAttemptState

Package org.apache.hadoop.yarn.api.records

# Enum Class YarnApplicationAttemptState

java.lang.Object
java.lang.Enum<YarnApplicationAttemptState>
org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState

All Implemented Interfaces:
  `Serializable`, `Comparable<YarnApplicationAttemptState>`, `Constable`

@Public @Stable public enum YarnApplicationAttemptState extends Enum<YarnApplicationAttemptState>
Enumeration of various states of a `RMAppAttempt`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOCATED`
  AppAttempt Data was saved
  `ALLOCATED_SAVING`
  Acquired AM Container from Scheduler and Saving AppAttempt Data
  `FAILED`
  AppAttempt failed.
  `FINISHED`
  AppAttempt finished successfully.
  `FINISHING`
  AppAttempt is finishing.
  `KILLED`
  AppAttempt was terminated by a user or admin.
  `LAUNCHED`
  AppAttempt was launched
  `NEW`
  AppAttempt was just created.
  `RUNNING`
  AppAttempt is currently running.
  `SCHEDULED`
  AppAttempt was scheduled
  `SUBMITTED`
  AppAttempt has been submitted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static YarnApplicationAttemptState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static YarnApplicationAttemptState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final YarnApplicationAttemptState NEW
    AppAttempt was just created.

  - ### SUBMITTED

    public static final YarnApplicationAttemptState SUBMITTED
    AppAttempt has been submitted.

  - ### SCHEDULED

    public static final YarnApplicationAttemptState SCHEDULED
    AppAttempt was scheduled

  - ### ALLOCATED_SAVING

    public static final YarnApplicationAttemptState ALLOCATED_SAVING
    Acquired AM Container from Scheduler and Saving AppAttempt Data

  - ### ALLOCATED

    public static final YarnApplicationAttemptState ALLOCATED
    AppAttempt Data was saved

  - ### LAUNCHED

    public static final YarnApplicationAttemptState LAUNCHED
    AppAttempt was launched

  - ### FAILED

    public static final YarnApplicationAttemptState FAILED
    AppAttempt failed.

  - ### RUNNING

    public static final YarnApplicationAttemptState RUNNING
    AppAttempt is currently running.

  - ### FINISHING

    public static final YarnApplicationAttemptState FINISHING
    AppAttempt is finishing.

  - ### FINISHED

    public static final YarnApplicationAttemptState FINISHED
    AppAttempt finished successfully.

  - ### KILLED

    public static final YarnApplicationAttemptState KILLED
    AppAttempt was terminated by a user or admin.

- ## Method Details

  - ### values

    public static YarnApplicationAttemptState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static YarnApplicationAttemptState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null